For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet JWKS
        • GETCheck onboarding status
        • POSTOnboarding
        • POSTEVM Get JWT
        • POSTEVM Onboarding
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAuthentication

EVM Get JWT

POST
https://api.prod.paradex.trade/v1/v2/auth
POST
/v1/v2/auth
$curl -X POST https://api.prod.paradex.trade/v1/v2/auth \
> -H "PARADEX-STARKNET-ACCOUNT: PARADEX-STARKNET-ACCOUNT" \
> -H "PARADEX-EVM-SIGNATURE: PARADEX-EVM-SIGNATURE" \
> -H "PARADEX-SIWE-MESSAGE: PARADEX-SIWE-MESSAGE" \
> -H "Authorization: <apiKey>"
1{
2 "jwt_token": "eyJhbGciOiJFUzM4NCIsInR5cCI6IkpXVCJ9.eyJ0eXAiOiJhdCtKV1QiLCJleHAiOjE2ODE0NTI5MDcsImlhdCI6MTY4MTQ1MjYwNywiaXNzIjoiUGFyYWRleCBzdGFnaW5nIiwic3ViIjoiMHg0OTVkMmViNTIzNmExMmI4YjRhZDdkMzg0OWNlNmEyMDNjZTIxYzQzZjQ3M2MyNDhkZmQ1Y2U3MGQ5NDU0ZmEifQ.BPihIbGhnnsuPlReqC9x12JFXldpswg5EdA6tTiDQm-_UHaRz_8RfVBqWc2fPN6CzFsXTq7GowZu-2qMxPvZK_fGcxEhTp2k1r8MUxowlUIT4vPu2scCwrsyIujlCAwS"
3}
Authenticate an EVM account using SIWE signature and return a JWT
Was this page helpful?
Previous

EVM Onboarding

Next
Built with

Headers

PARADEX-STARKNET-ACCOUNTstringRequired
Starknet account
PARADEX-EVM-SIGNATUREstringRequired

EVM personal_sign signature

PARADEX-SIWE-MESSAGEstringRequired

Base64-encoded SIWE message

PARADEX-AUTHORIZE-ISOLATED-MARKETSstringOptional
Optional flag to authorize all isolated market accounts

Response

OK
jwt_tokenstring
Authentication token

Errors

400
Bad Request Error
401
Unauthorized Error